Bug 185824 - [MAINTAINER] dns/powerdns: update to 3.3.1
Summary: [MAINTAINER] dns/powerdns: update to 3.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-16 15:50 UTC by Ralf van der Enden
Modified: 2014-01-23 20:20 UTC (History)
0 users

See Also:


Attachments
powerdns-3.3.1.patch (11.15 KB, patch)
2014-01-16 15:50 UTC, Ralf van der Enden
no flags Details | Diff
pdns-3.3.1-fix.patch (11.43 KB, patch)
2014-01-21 08:54 UTC, Ralf van der Enden
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2014-01-16 15:50:02 UTC
- Update to 3.3.1
- Add some experimental backends (author's request)

Changelog: http://doc.powerdns.com/html/changelog.html#changelog-auth-3-3-1

Generated with FreeBSD Port Tools 0.99_11 (mode: update, diff: SVN)
Comment 1 Danilo Egea Gondolfo freebsd_committer 2014-01-16 20:44:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 Danilo Egea Gondolfo freebsd_committer 2014-01-18 21:18:51 UTC
I had some problems to build it on FreeBSD 10.

With the default options selected, the build process stop because
libcurl is not installed. [1]

checking for LIBCURL... no
configure: error: Could not find libcurl

After add the libcurl to lib_depends the build stop because the
libcryptopp is not installed (I'm using the defaults options).

1 warning generated.
  CXX    cryptoppsigners.o
cryptoppsigners.cc:1:10: fatal error: 'cryptopp/osrng.h' file not found

Selecting the option CRYPTOPP it works.

Can you check if powerdns-devel has the same problem?

If you can, install the poudriere and test your ports with it (or ask
for an account on redports.org)

Thanks!

Danilo.

[1] -
http://redports.org/~daniloegea/20140118195000-11674-170577/powerdns-3.3.1.log
<http://redports.org/%7Edaniloegea/20140118195000-11674-170577/powerdns-3.3.1.log>
Comment 3 Ralf van der Enden 2014-01-20 09:07:09 UTC
Hi Danilo,

 

Ive figured out whats going on. PowrDNSs configure doesnt respect
disable-xxx switches (in most cases) and handles them the same as if youd
passed enable-xxx.

Usually builds fail when you enable all options, so thats that Ive tested
with. I hadnt taken this behaviour into account. powerdns-devel  suffers
from the same, so Ill change the Makefiles accordingly ASAP.

 

Sorry for the inconvenience.

 

Best regards,

 

Ralf

 

From: Danilo Egêa Gondolfo [mailto:danilogondolfo@gmail.com] On Behalf Of
Danilo E. Gondolfo
Sent: zaterdag 18 januari 2014 22:19
To: bug-followup@FreeBSD.org; tremere@cainites.net
Subject: Re: ports/185824: [MAINTAINER] dns/powerdns: update to 3.3.1

 

I had some problems to build it on FreeBSD 10. 

With the default options selected, the build process stop because libcurl is
not installed. [1]

checking for LIBCURL... no
configure: error: Could not find libcurl

After add the libcurl to lib_depends the build stop because the libcryptopp
is not installed (I'm using the defaults options).

1 warning generated.
  CXX    cryptoppsigners.o
cryptoppsigners.cc:1:10: fatal error: 'cryptopp/osrng.h' file not found

Selecting the option CRYPTOPP it works.

Can you check if powerdns-devel has the same problem?

If you can, install the poudriere and test your ports with it (or ask for an
account on redports.org)

Thanks!

Danilo.

[1] -
http://redports.org/~daniloegea/20140118195000-11674-170577/powerdns-3.3.1.l
og
<http://redports.org/%7Edaniloegea/20140118195000-11674-170577/powerdns-3.3.
1.log>  
Comment 4 dfilter service freebsd_committer 2014-01-23 20:13:03 UTC
Author: danilo
Date: Thu Jan 23 20:12:54 2014
New Revision: 340857
URL: http://svnweb.freebsd.org/changeset/ports/340857
QAT: https://qat.redports.org/buildarchive/r340857/

Log:
  - Update from 3.3 to 3.3.1
  - Add some experimental backends
  
  while here
  - Convert USE_LUA to USES
  
  PR:		ports/185824
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)

Added:
  head/dns/powerdns/files/patch-pdns__Makefile.in   (contents, props changed)
Deleted:
  head/dns/powerdns/files/patch-pdns_Makefile_in
Modified:
  head/dns/powerdns/Makefile
  head/dns/powerdns/distinfo

Modified: head/dns/powerdns/Makefile
==============================================================================
--- head/dns/powerdns/Makefile	Thu Jan 23 20:12:18 2014	(r340856)
+++ head/dns/powerdns/Makefile	Thu Jan 23 20:12:54 2014	(r340857)
@@ -1,8 +1,8 @@
 # $FreeBSD$
 
 PORTNAME=	powerdns
-PORTVERSION=	3.3
-PORTREVISION?=	1
+PORTVERSION=	3.3.1
+PORTREVISION?=	0
 CATEGORIES=	dns ipv6
 MASTER_SITES=	http://downloads.powerdns.com/releases/
 DISTNAME=	pdns-${PORTVERSION}
@@ -14,12 +14,9 @@ LICENSE=	GPLv2
 
 LIB_DEPENDS=	libboost_serialization.so:${PORTSDIR}/devel/boost-libs
 
-USE_LUA=	5.1
-LUA_COMPS=	lua
-
 CONFLICTS=	powerdns-devel-[2-3].[0-9]*
 
-USES=		pkgconfig gmake
+USES=		gmake lua:51 pkgconfig
 USE_SUBMAKE=	YES
 USE_AUTOTOOLS=	libtool
 USE_LDCONFIG=	YES
@@ -39,10 +36,11 @@ SUB_FILES=	pkg-message
 
 USE_RC_SUBR=	pdns
 
-OPTIONS_DEFINE=	PGSQL PGSQL_LOCAL MYSQL MYSQL_LOCAL \
-		OPENDBX OPENLDAP OPENLDAP_LOCAL GEO POLARSSL SQLITE3 TOOLS
-OPTIONS_MULTI=	DNSSEC
-OPTIONS_MULTI_DNSSEC=	BOTAN110 CRYPTOPP
+OPTIONS_DEFINE=	GEO MYSQL MYSQL_LOCAL OPENDBX OPENLDAP OPENLDAP_LOCAL \
+		PGSQL PGSQL_LOCAL POLARSSL SQLITE3 TOOLS
+OPTIONS_GROUP=	DNSSEC EXPERIMENTAL
+OPTIONS_GROUP_DNSSEC=	BOTAN110 CRYPTOPP
+OPTIONS_GROUP_EXPERIMENTAL=	LUA MYDNS REMOTE REMOTE_HTTP TINYDNS
 
 PGSQL_DESC=		PostgreSQL backend
 PGSQL_LOCAL_DESC=	RUN_DEPEND on PostgreSQL server
@@ -57,13 +55,21 @@ DNSSEC_DESC=		Extra DNSSEC options
 BOTAN110_DESC=		Faster signing + ECDSA & GOST algorithms
 CRYPTOPP_DESC=		ECDSA algorithms
 POLARSSL_DESC=		Use embedded PolarSSL
+LUA_DESC=		Lua backend
+MYDNS_DESC=		MyDNS backend
+REMOTE_DESC=		Remote backend
+REMOTE_HTTP_DESC=	Enable HTTP for the Remote backed
+TINYDNS_DESC=		TinyDNS backend
 TOOLS_DESC=		Build extra tools
 
 OPTIONS_DEFAULT=	PGSQL DNSSEC BOTAN110 POLARSSL
 
 OPTIONS_SUB=	yes
 
-TOOLS_CONFIGURE_ENABLE=	tools
+# Don't use CONFIGURE_ENABLE, the configure script
+# has a bug. The options are being enabled even using --disable-
+
+TOOLS_CONFIGURE_ON=	--enable-tools
 
 PGSQL_CONFIGURE_ON=	--with-pgsql=${LOCALBASE}
 PGSQL_CONFIGURE_OFF=	--without-pgsql
@@ -75,29 +81,41 @@ MYSQL_CONFIGURE_OFF=	--without-mysql
 MYSQL_USE=		MYSQL=YES
 MYSQL_LOCAL_USE=	MYSQL=server
 
+MYDNS_CONFIGURE_ON=	--with-mysql=${LOCALBASE}
+MYDNS_USE=		MYSQL=YES
+MYDNS_LOCAL_USE=	MYSQL=server
+
 OPENLDAP_CXXFLAGS=	-DLDAP_DEPRECATED=1
 OPENLDAP_USE=		OPENLDAP=YES
 OPENLDAP_LOCAL_RUN_DEPENDS=	openldap-server>=0:${PORTSDIR}/net/openldap24-server
 
+REMOTE_HTTP_CONFIGURE_ON=	--enable-remotebackend-http
+REMOTE_HTTP_LIB_DEPENDS=	libcurl.so:${PORTSDIR}/ftp/curl
+
+CRYPTOPP_CONFIGURE_ON=		--enable-cryptopp
+
 SQLITE3_USE=	SQLITE=3
 
 OPENDBX_LIB_DEPENDS=	libopendbx.so:${PORTSDIR}/databases/opendbx
 
-BOTAN110_CONFIGURE_ENABLE=	botan1.10
+BOTAN110_CONFIGURE_ON=		--enable-botan1.10
 BOTAN110_LIB_DEPENDS=		libbotan-1.10.so:${PORTSDIR}/security/botan110
 
+TINYDNS_LIB_DEPENDS=	libcdb.so:${PORTSDIR}/databases/tinycdb
+TINYDNS_CONFIGURE_ON=	CDB_LIBS="-L${LOCALBASE}/lib -lcdb" CDB_CFLAGS="-I${LOCALBASE}/include"
+
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MGEO}
-MODULES+=	"geo"
+MODULES+=	geo
 .endif
 
 .if ${PORT_OPTIONS:MPGSQL}
-MODULES+=	"gpgsql"
+MODULES+=	gpgsql
 .endif
 
 .if ${PORT_OPTIONS:MMYSQL}
-MODULES+=	"gmysql"
+MODULES+=	gmysql
 .endif
 
 .if ${PORT_OPTIONS:MPGSQL_LOCAL}
@@ -113,7 +131,7 @@ SUB_LIST+=	MYSQL_REQ=
 .endif
 
 .if ${PORT_OPTIONS:MOPENLDAP}
-MODULES+=	"ldap"
+MODULES+=	ldap
 .endif
 
 .if ${PORT_OPTIONS:MOPENLDAP_LOCAL}
@@ -123,15 +141,30 @@ SUB_LIST+=	SLAPD_REQ=
 .endif
 
 .if ${PORT_OPTIONS:MSQLITE3}
-MODULES+=	"gsqlite3"
+MODULES+=	gsqlite3
+.endif
+
+.if ${PORT_OPTIONS:MLUA}
+MODULES+=	lua
+.endif
+
+.if ${PORT_OPTIONS:MMYDNS}
+MODULES+=	mydns
+.endif
+
+.if ${PORT_OPTIONS:MREMOTE}
+MODULES+=	remote
+.endif
+
+.if ${PORT_OPTIONS:MTINYDNS}
+MODULES+=	tinydns
 .endif
 
 .if ${PORT_OPTIONS:MOPENDBX}
-MODULES+=	"opendbx"
+MODULES+=	opendbx
 .endif
 
 .if ${PORT_OPTIONS:MCRYPTOPP}
-CONFIGURE_ARGS+=	--enable-cryptopp
 .	if exists(${LOCALBASE}/lib/libcryptopp.so)
 LIB_DEPENDS+=	libcryptopp.so:${PORTSDIR}/security/cryptopp
 .	else

Modified: head/dns/powerdns/distinfo
==============================================================================
--- head/dns/powerdns/distinfo	Thu Jan 23 20:12:18 2014	(r340856)
+++ head/dns/powerdns/distinfo	Thu Jan 23 20:12:54 2014	(r340857)
@@ -1,2 +1,2 @@
-SHA256 (pdns-3.3.tar.gz) = 93417bb418ccd1eaf85fc98aa9f687ed175de388fa2624a1978b7cd40dc2b0b6
-SIZE (pdns-3.3.tar.gz) = 1360167
+SHA256 (pdns-3.3.1.tar.gz) = feb566994725e049391e9b862c9437ca545f1bb970143d2387e474a6ff645bf3
+SIZE (pdns-3.3.1.tar.gz) = 1403435

Added: head/dns/powerdns/files/patch-pdns__Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/dns/powerdns/files/patch-pdns__Makefile.in	Thu Jan 23 20:12:54 2014	(r340857)
@@ -0,0 +1,49 @@
+--- ./pdns/Makefile.in.orig	2013-12-17 14:47:45.000000000 +0100
++++ ./pdns/Makefile.in	2014-01-16 13:37:09.328942976 +0100
+@@ -66,7 +66,7 @@
+ 	nproxy$(EXEEXT) notify$(EXEEXT) pdnssec$(EXEEXT) \
+ 	dnsbulktest$(EXEEXT) nsec3dig$(EXEEXT)
+ @BOTAN110_TRUE@am__append_4 = botan110signers.cc botansigners.cc
+-@BOTAN110_TRUE@am__append_5 = $(BOTAN110_LIBS) -lgmp -lrt
++@BOTAN110_TRUE@am__append_5 = $(BOTAN110_LIBS)
+ @BOTAN18_TRUE@am__append_6 = botan18signers.cc botansigners.cc
+ @BOTAN18_TRUE@am__append_7 = $(BOTAN18_LIBS) -lgmp
+ @CRYPTOPP_TRUE@am__append_8 = cryptoppsigners.cc
+@@ -74,7 +74,7 @@
+ @SQLITE3_TRUE@am__append_10 = ssqlite3.cc ssqlite3.hh
+ @ORACLE_TRUE@am__append_11 = $(ORACLE_LIBS)
+ @BOTAN110_TRUE@am__append_12 = botan110signers.cc botansigners.cc
+-@BOTAN110_TRUE@am__append_13 = $(BOTAN110_LIBS) -lgmp -lrt
++@BOTAN110_TRUE@am__append_13 = $(BOTAN110_LIBS)
+ @BOTAN18_TRUE@am__append_14 = botan18signers.cc botansigners.cc
+ @BOTAN18_TRUE@am__append_15 = $(BOTAN18_LIBS) -lgmp
+ @CRYPTOPP_TRUE@am__append_16 = cryptoppsigners.cc
+@@ -750,8 +750,8 @@
+ top_builddir = @top_builddir@
+ top_srcdir = @top_srcdir@
+ AM_CXXFLAGS = -DSYSCONFDIR=\"@sysconfdir@\" -DLIBDIR=\"@libdir@\" -DLOCALSTATEDIR=\"@socketdir@\" -Ibackends/bind @THREADFLAGS@ $(LUA_CFLAGS) $(SQLITE3_CFLAGS) $(POLARSSL_CFLAGS) -Iext/rapidjson/include
+-AM_CPPFLAGS = -Ibackends/bind $(BOOST_CPPFLAGS) @THREADFLAGS@ \
+-	$(LIBCURL_CFLAGS) $(am__append_1) $(am__append_2)
++AM_CPPFLAGS = -Ibackends/bind @THREADFLAGS@ \
++	$(am__append_1) $(am__append_2) $(BOOST_CPPFLAGS)
+ EXTRA_DIST = dnslabeltext.rl dnslabeltext.cc mtasker.cc inflighter.cc docs/pdns_control.8  \
+ 	docs/pdns_server.8 docs/zone2sql.8 docs/zone2ldap.8 docs/pdnssec.8 \
+ 	docs/dnsreplay.8 docs/dnsscope.8 docs/dnswasher.8 docs/pdnssec.8 docs/zone2ldap.8 \
+@@ -797,7 +797,7 @@
+ #
+ pdns_server_LDFLAGS = @moduleobjects@ @modulelibs@ @DYNLINKFLAGS@ @LIBDL@ @THREADFLAGS@  $(BOOST_SERIALIZATION_LDFLAGS) -rdynamic
+ pdns_server_LDADD = $(POLARSSL_LIBS) $(BOOST_SERIALIZATION_LIBS) \
+-	$(LUA_LIBS) $(SQLITE3_LIBS) $(LIBCURL_LIBS) $(am__append_5) \
++	$(LUA_LIBS) $(SQLITE3_LIBS) $(am__append_5) \
+ 	$(am__append_7) $(am__append_9) $(am__append_11)
+ pdnssec_SOURCES = pdnssec.cc dbdnsseckeeper.cc sstuff.hh dnsparser.cc \
+ 	dnsparser.hh dnsrecords.cc dnswriter.cc dnswriter.hh misc.cc \
+@@ -819,7 +819,7 @@
+ 	$(am__append_18)
+ pdnssec_LDFLAGS = @moduleobjects@ @modulelibs@ @DYNLINKFLAGS@ @LIBDL@ @THREADFLAGS@ $(BOOST_PROGRAM_OPTIONS_LDFLAGS) $(BOOST_SERIALIZATION_LDFLAGS) 
+ pdnssec_LDADD = $(POLARSSL_LIBS) $(BOOST_PROGRAM_OPTIONS_LIBS) \
+-	$(BOOST_SERIALIZATION_LIBS) $(SQLITE3_LIBS) $(LIBCURL_LIBS) \
++	$(BOOST_SERIALIZATION_LIBS) $(SQLITE3_LIBS) \
+ 	$(am__append_13) $(am__append_15) $(am__append_17) \
+ 	$(am__append_19)
+ sdig_SOURCES = sdig.cc sstuff.hh dnsparser.cc dnsparser.hh dnsrecords.cc dnswriter.cc dnslabeltext.cc dnswriter.hh \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Danilo Egea Gondolfo freebsd_committer 2014-01-23 20:13:42 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 6 dfilter service freebsd_committer 2014-01-23 20:17:06 UTC
Author: danilo
Date: Thu Jan 23 20:16:57 2014
New Revision: 340859
URL: http://svnweb.freebsd.org/changeset/ports/340859
QAT: https://qat.redports.org/buildarchive/r340859/

Log:
  - Update from 3.3 to 3.3.1
  - Add some experimental backends
  
  while here
  - Convert USE_LUA to USES
  
  PR:		ports/185824
  Submitted by:	Ralf van der Enden <tremere@cainites.net> (maintainer)

Added:
  head/dns/powerdns-devel/files/pdns.in   (contents, props changed)
Deleted:
  head/dns/powerdns-devel/files/pdns-devel.in
Modified:
  head/dns/powerdns-devel/Makefile
  head/dns/powerdns-devel/distinfo
  head/dns/powerdns-devel/pkg-plist

Modified: head/dns/powerdns-devel/Makefile
==============================================================================
--- head/dns/powerdns-devel/Makefile	Thu Jan 23 20:13:09 2014	(r340858)
+++ head/dns/powerdns-devel/Makefile	Thu Jan 23 20:16:57 2014	(r340859)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	powerdns
-PORTVERSION=	3.3
+PORTVERSION=	3.3.1
 PORTREVISION?=	0
 PORTEPOCH=	1
 CATEGORIES=	dns ipv6
@@ -20,17 +20,14 @@ LIB_DEPENDS=	libboost_serialization.so:$
 USE_GITHUB=	YES
 GH_ACCOUNT=	PowerDNS
 GH_PROJECT=	pdns
-GH_TAGNAME=	auth-3.3
-GH_COMMIT=	b8fe1df
-
-USE_LUA=	5.1
-LUA_COMPS=	lua
+GH_TAGNAME=	auth-3.3.1
+GH_COMMIT=	8e1c18b
 
 CONFLICTS=	powerdns-[2-3].[0-9]*
 
 NO_LATEST_LINK=	YES
 
-USES=		bison gmake pkgconfig
+USES=		bison gmake lua:51 pkgconfig
 USE_SUBMAKE=	YES
 USE_AUTOTOOLS=	autoconf:env automake:env libtool:env
 USE_LDCONFIG=	YES
@@ -49,14 +46,14 @@ SCRIPTS_ENV=	WRKDIRPREFIX="${WRKDIRPREFI
 
 SUB_FILES=	pkg-message
 
-USE_RC_SUBR+=	pdns-devel
+USE_RC_SUBR+=	pdns
 
 OPTIONS_DEFINE=	GEO MYSQL MYSQL_LOCAL OPENDBX OPENLDAP OPENLDAP_LOCAL \
 		PGSQL PGSQL_LOCAL POLARSSL SQLITE3 TOOLS
-OPTIONS_MULTI=	DNSSEC
-OPTIONS_MULTI_DNSSEC=	BOTAN110 CRYPTOPP
+OPTIONS_GROUP=	DNSSEC EXPERIMENTAL
+OPTIONS_GROUP_DNSSEC=	BOTAN110 CRYPTOPP
+OPTIONS_GROUP_EXPERIMENTAL=	LUA MYDNS REMOTE REMOTE_HTTP TINYDNS
 
-BACKENDS_DESC=		Choose backend(s)
 PGSQL_DESC=		PostgreSQL backend
 PGSQL_LOCAL_DESC=	RUN_DEPEND on PostgreSQL server
 MYSQL_DESC=		MySQL backend
@@ -67,16 +64,25 @@ OPENLDAP_LOCAL_DESC=	RUN_DEPEND on OpenL
 SQLITE3_DESC=		SQLite 3 backend
 GEO_DESC=		Geo backend
 DNSSEC_DESC=		Enable extra DNSSEC options
+EXPERIMENTAL_DESC=	Experimental backends
 BOTAN110_DESC=		Faster signing + ECDSA & GOST algorithms
 CRYPTOPP_DESC=		ECDSA algorithms
 POLARSSL_DESC=		Use embedded PolarSSL
+LUA_DESC=		Lua backend
+MYDNS_DESC=		MyDNS backend
+REMOTE_DESC=		Remote backend
+REMOTE_HTTP_DESC=	Enable HTTP for the Remote backend
+TINYDNS_DESC=		TinyDNS backend
 TOOLS_DESC=		Build extra tools
 
 OPTIONS_DEFAULT=	PGSQL DNSSEC BOTAN110 POLARSSL
 
 OPTIONS_SUB=	yes
 
-TOOLS_CONFIGURE_ENABLE=	tools
+# Don't use CONFIGURE_ENABLE, the configure script
+# has a bug. The options are being enabled even using --disable-
+
+TOOLS_CONFIGURE_ON=	--enable-tools
 
 PGSQL_CONFIGURE_ON=	--with-pgsql=${LOCALBASE}
 PGSQL_CONFIGURE_OFF=	--without-pgsql
@@ -88,29 +94,41 @@ MYSQL_CONFIGURE_OFF=	--without-mysql
 MYSQL_USE=		MYSQL=YES
 MYSQL_LOCAL_USE=	MYSQL=server
 
+MYDNS_CONFIGURE_ON=	--with-mysql=${LOCALBASE}
+MYDNS_USE=		MYSQL=YES
+MYDNS_LOCAL_USE=	MYSQL=server
+
 OPENLDAP_CXXFLAGS=	-DLDAP_DEPRECATED=1
 OPENLDAP_USE=		OPENLDAP=YES
 OPENLDAP_LOCAL_RUN_DEPENDS=	openldap-server>=0:${PORTSDIR}/net/openldap24-server
 
+REMOTE_HTTP_CONFIGURE_ON=	--enable-remotebackend-http
+REMOTE_HTTP_LIB_DEPENDS=	libcurl.so:${PORTSDIR}/ftp/curl
+
 SQLITE3_USE=	SQLITE=3
 
 OPENDBX_LIB_DEPENDS=	libopendbx.so:${PORTSDIR}/databases/opendbx
 
-BOTAN110_CONFIGURE_ENABLE=	botan1.10
+BOTAN110_CONFIGURE_ON=	--enable-botan1.10
 BOTAN110_LIB_DEPENDS=		libbotan-1.10.so:${PORTSDIR}/security/botan110
 
-.include <bsd.port.pre.mk>
+TINYDNS_LIB_DEPENDS=		libcdb.so:${PORTSDIR}/databases/tinycdb
+TINYDNS_CONFIGURE_ON=		CDB_LIBS="-L${LOCALBASE}/lib -lcdb" CDB_CFLAGS="-I${LOCALBASE}/include"
+
+CRYPTOPP_CONFIGURE_ON=	--enable-cryptopp
+
+.include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MGEO}
-MODULES+=	"geo"
+MODULES+=	geo
 .endif
 
 .if ${PORT_OPTIONS:MPGSQL}
-MODULES+=	"gpgsql"
+MODULES+=	gpgsql
 .endif
 
 .if ${PORT_OPTIONS:MMYSQL}
-MODULES+=	"gmysql"
+MODULES+=	gmysql
 .endif
 
 .if ${PORT_OPTIONS:MPGSQL_LOCAL}
@@ -126,7 +144,7 @@ SUB_LIST+=	MYSQL_REQ=
 .endif
 
 .if ${PORT_OPTIONS:MOPENLDAP}
-MODULES+=	"ldap"
+MODULES+=	ldap
 .endif
 
 .if ${PORT_OPTIONS:MOPENLDAP_LOCAL}
@@ -136,11 +154,27 @@ SUB_LIST+=	SLAPD_REQ=
 .endif
 
 .if ${PORT_OPTIONS:MSQLITE3}
-MODULES+=	"gsqlite3"
+MODULES+=	gsqlite3
+.endif
+
+.if ${PORT_OPTIONS:MLUA}
+MODULES+=	lua
+.endif
+
+.if ${PORT_OPTIONS:MMYDNS}
+MODULES+=	mydns
+.endif
+
+.if ${PORT_OPTIONS:MREMOTE}
+MODULES+=	remote
+.endif
+
+.if ${PORT_OPTIONS:MTINYDNS}
+MODULES+=	tinydns
 .endif
 
 .if ${PORT_OPTIONS:MOPENDBX}
-MODULES+=	"opendbx"
+MODULES+=	opendbx
 .endif
 
 .if ${PORT_OPTIONS:MPOLARSSL}
@@ -155,13 +189,11 @@ LIB_DEPENDS+=		libcryptopp.so:${PORTSDIR
 .	else
 BUILD_DEPENDS+=		${LOCALBASE}/lib/libcryptopp.a:${PORTSDIR}/security/cryptopp
 .	endif
-CONFIGURE_ARGS+=	--enable-cryptopp
 .endif
 
 pre-patch:
-	${ECHO_CMD} ${BARBA}
 	@${REINPLACE_CMD} -e "s;/bin/bash;/usr/bin/env bash;" \
-		-e "s;ssed -r;sed -E -e;g" \
+		-e "s;sed -r;sed -E -e;g" \
 		-e "s;-i;-i \.bak;g" \
 		${WRKSRC}/build-scripts/set-version-auth
 	@${REINPLACE_CMD} -e 's;\$$(LIBCURL_LIBS) \$$(MYSQL_lib);;g' \
@@ -182,21 +214,25 @@ pre-patch:
 	@${REINPLACE_CMD} -E -e 's;(PGSQL_inc_check="\$$withval/include/pgsql)";\1 \$$withval/include";' \
 		${WRKSRC}/configure.ac
 .endif
+.if ${PORT_OPTIONS:MREMOTE_HTTP}
+	@${REINPLACE_CMD} -E -e 's;-module -avoid-version;-module -avoid-version \$$(LIBCURL_LIBS);' \
+		${WRKSRC}/modules/remotebackend/Makefile.am
+.endif
 
 pre-configure:
-	@(cd ${WRKSRC} && ${WRKSRC}/build-scripts/set-version-auth git-${GH_TAGNAME} 0.0.${GH_TAGNAME} 0.0.${GH_TAGNAME} && ${WRKSRC}/bootstrap)
+	(cd ${WRKSRC} && ${WRKSRC}/build-scripts/set-version-auth git-${GH_TAGNAME} 0.0.${GH_TAGNAME} 0.0.${GH_TAGNAME} && ${WRKSRC}/bootstrap)
 
 post-install:
 	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
 .for i in pdns.conf
 	${INSTALL_DATA} ${FILESDIR}/$i ${STAGEDIR}${EXAMPLESDIR}/
 .endfor
-.for j in libgpgsqlbackend.so libgmysqlbackend.so libgsqlite3backend.so \
-	libldapbackend.so libopendbxbackend.so libgeobackend.so \
-	libpipebackend.so
+.for j in libtinydnsbackend.so libremotebackend.so libmydnsbackend.so libgpgsqlbackend.so \
+	libgmysqlbackend.so libgsqlite3backend.so libldapbackend.so libopendbxbackend.so \
+	libgeobackend.so libpipebackend.so
 	@if ([ -f ${STAGEDIR}${PREFIX}/lib/$j ] && [ ! -f ${STAGEDIR}${PREFIX}/lib/$j.0 ]); then \
 		${LN} -sf ${PREFIX}/lib/$j ${STAGEDIR}${PREFIX}/lib/$j.0; \
 	fi
 .endfor
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/dns/powerdns-devel/distinfo
==============================================================================
--- head/dns/powerdns-devel/distinfo	Thu Jan 23 20:13:09 2014	(r340858)
+++ head/dns/powerdns-devel/distinfo	Thu Jan 23 20:16:57 2014	(r340859)
@@ -1,2 +1,2 @@
-SHA256 (auth-3.3.tar.gz) = 0f6e85f6ee3041718dcc5d3aa97c8e48f7dc5ab33678c5c40b2bc4e585c6a4d6
-SIZE (auth-3.3.tar.gz) = 1794516
+SHA256 (auth-3.3.1.tar.gz) = 1ea90c58ffcb0c048bc952b3edf234a763f43fcb35adefe5b4448e185f0568c0
+SIZE (auth-3.3.1.tar.gz) = 1809736

Added: head/dns/powerdns-devel/files/pdns.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/dns/powerdns-devel/files/pdns.in	Thu Jan 23 20:16:57 2014	(r340859)
@@ -0,0 +1,38 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+
+# PROVIDE: pdns_server
+# REQUIRE: DAEMON %%MYSQL_REQ%% %%PGSQL_REQ%% %%SLAPD_REQ%%
+# KEYWORD: shutdown
+
+#
+# Add the following lines to /etc/rc.conf to enable powerdns:
+#
+# pdns_enable="YES"
+# pdns_flags="<set as needed>"
+#
+# See pdns_server(8) for flags.
+#
+
+. /etc/rc.subr
+
+name=pdns
+rcvar=pdns_enable
+
+command=%%PREFIX%%/sbin/pdns_server
+
+# set defaults
+
+pdns_enable=${pdns_enable:-"NO"}
+pdns_conf=${pdns_conf:-"%%PREFIX%%/etc/pdns/pdns.conf"}
+
+load_rc_config ${name}
+
+required_files=${pdns_conf}
+
+monitor_cmd="${command} --daemon=no --guardian=no --control-console --loglevel=9"
+extra_commands="monitor"
+
+run_rc_command "$1"

Modified: head/dns/powerdns-devel/pkg-plist
==============================================================================
--- head/dns/powerdns-devel/pkg-plist	Thu Jan 23 20:13:09 2014	(r340858)
+++ head/dns/powerdns-devel/pkg-plist	Thu Jan 23 20:16:57 2014	(r340859)
@@ -36,6 +36,18 @@ sbin/pdns_server
 %%GEO%%lib/libgeobackend.la
 %%GEO%%lib/libgeobackend.so
 %%GEO%%lib/libgeobackend.so.0
+%%TINYDNS%%lib/libtinydnsbackend.a
+%%TINYDNS%%lib/libtinydnsbackend.la
+%%TINYDNS%%lib/libtinydnsbackend.so
+%%TINYDNS%%lib/libtinydnsbackend.so.0
+%%REMOTE%%lib/libremotebackend.a
+%%REMOTE%%lib/libremotebackend.la
+%%REMOTE%%lib/libremotebackend.so
+%%REMOTE%%lib/libremotebackend.so.0
+%%MYDNS%%lib/libmydnsbackend.a
+%%MYDNS%%lib/libmydnsbackend.la
+%%MYDNS%%lib/libmydnsbackend.so
+%%MYDNS%%lib/libmydnsbackend.so.0
 lib/libpipebackend.a
 lib/libpipebackend.la
 lib/libpipebackend.so
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"